BackendHTTP APIFunctions
List functions
Requires an API key with the environment:functions:list scope. Learn more about API key scopes.
Returns the functions available to an integration.
Catalog action entries have source: "tools-catalog", enabled: true, id: null, and last_deployed: null.
GET
Returns the functions available to an integration, including Tenklo catalog actions when available. Requires an API key with the environment:functions:list scope.
bearerAuthheader
AuthorizationBearer <token>An Environment API key from your Tenklo environment, or an Account API key for account-level endpoints.
uniqueKey*stringThe integration ID (unique_key) that you created in Tenklo.
type?stringFilter by function type.
Value in
"sync""action""on-event""tool"search?stringCase-insensitive filter on the function name.
Length
1 <= length <= 255page?integerRange
0 <= valueDefault
0limit?integerRange
1 <= value <= 100Default
20Successfully returned the integration's functions
application/json- response
data*array<|||>pagination*curl -X GET 'https://api.tenklo.dev/integrations/string/functions'Example Response
{ "data": [ { "name": "string", "description": "string", "scopes": [ "string" ], "type": "sync", "input": "string", "returns": [ "string" ], "json_schema": {}, "runs": "string", "auto_start": true, "track_deletes": true, "id": 0, "enabled": true, "last_deployed": "2019-08-24T14:15:22Z", "source": "catalog" } ], "pagination": { "total": 0, "page": 0, "limit": 0 }}